<template>
  <v-container>
    <p>Show code: {{ showQr }}</p>
    <v-quagga
      :onDetected="logIt"
      :readerSize="readerSize"
      :readerTypes="readers"
    ></v-quagga>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      readerSize: {
        width: 640,
        height: 480
      },
      showQr: null,
      detecteds: [],
      readers: [
        "ean_reader",
        "ean_8_reader",
        "code_39_reader",
        "code_39_vin_reader",
        "codabar_reader",
        "upc_reader",
        "upc_e_reader"
      ]
    };
  },
  created() {},
  mounted() {},

  methods: {
    logIt(data) {
      this.showQr = data.codeResult.code;
      console.log("detected", data);
    }
  }
};
</script>
